config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

for i in desktop razor session windowmanagers razor-panel/panel; do
  config etc/razor/xdg/razor/$i.conf.new
done

if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi
( cd usr/lib64 ; rm -rf libqtxdg.so )
( cd usr/lib64 ; ln -sf libqtxdg.so.0 libqtxdg.so )
( cd usr/lib64 ; rm -rf libqtxdg.so.0 )
( cd usr/lib64 ; ln -sf libqtxdg.so.0.5.2 libqtxdg.so.0 )
( cd usr/lib64 ; rm -rf librazormount.so )
( cd usr/lib64 ; ln -sf librazormount.so.0 librazormount.so )
( cd usr/lib64 ; rm -rf librazormount.so.0 )
( cd usr/lib64 ; ln -sf librazormount.so.0.5.2 librazormount.so.0 )
( cd usr/lib64 ; rm -rf librazorqt.so )
( cd usr/lib64 ; ln -sf librazorqt.so.0 librazorqt.so )
( cd usr/lib64 ; rm -rf librazorqt.so.0 )
( cd usr/lib64 ; ln -sf librazorqt.so.0.5.2 librazorqt.so.0 )
( cd usr/lib64 ; rm -rf librazorqxt.so )
( cd usr/lib64 ; ln -sf librazorqxt.so.0 librazorqxt.so )
( cd usr/lib64 ; rm -rf librazorqxt.so.0 )
( cd usr/lib64 ; ln -sf librazorqxt.so.0.5.2 librazorqxt.so.0 )
